> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete a put away

> Complete a put away

### Path parameters

<ParamField path="id" type="string" required>
  Put-away task ID
</ParamField>

### Request body

`CompletePutAwayRequest`

<ParamField body="actual_location_id" type="integer,null (int32)" />

<ParamField body="completed_by" type="string,null" />

<ParamField body="notes" type="string,null" />

### Responses

<ResponseField name="200" type="PutAwayResponse" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/put-aways/{id}/complete' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "actual_location_id": null,
    "completed_by": null,
    "notes": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "assigned_to": null,
    "created_at": "string",
    "from_location_id": null,
    "id": "string",
    "quantity": "string",
    "receipt_id": "string",
    "receipt_item_id": "string",
    "sku": "string",
    "status": "string",
    "to_location_id": 1
  }
  ```
</ResponseExample>
